Files
Retrieves a file by its file path and returns it directly in the format specified by the file extension.
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
filePathstringRequiredExample:
The file path of the file to retrieve. The file extension determines the format of the returned file.
settlements/2024-01-01/123e4567-e89b-12d3-a456-426614174000_customer_settlement_detail.jsonResponses
200
Successful response
application/octet-stream
string · binaryOptional
The response contains the actual downloaded file in the format specified by the file path
get/v1/files/{filePath}
GET /api/v1/files/{filePath} HTTP/1.1
Host: cams.aquanow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200
Successful response
{The response contains the actual downloaded file in the format specified by the file path}Last updated